### File

`packages/components/eui-wizard/services/eui-wizard.service.ts`

### Index

###### Properties
activeStepIndex route steps
###### Methods
init navigationIncrement selectStep

### Methods

init
`init(steps: EuiWizardStep[], route: ActivatedRoute)`
Parameters :
Name | Type | Optional
steps | `EuiWizardStep[]` | No
route | `ActivatedRoute` | No
Returns : `void`

navigationIncrement
`navigationIncrement(increment: number)`
Parameters :
Name | Type | Optional
increment | `number` | No
Returns : `void`

selectStep
`selectStep(step: EuiWizardStep)`
Parameters :
Name | Type | Optional
step | `EuiWizardStep` | No
Returns : `void`

### Properties

activeStepIndex
Type : `number`
Default value : `1`

route
Type : `ActivatedRoute`

steps
Type : `EuiWizardStep[]`
Default value : `[]`

# results matching ""

# No results matching ""